Bug 244403 - kpresenter:msoffice2003:Extra space in the cells is getting displayed.
Summary: kpresenter:msoffice2003:Extra space in the cells is getting displayed.
Status: VERIFIED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: text-layout (show other bugs)
Version: unspecified
Platform: Unlisted Binaries All
: NOR normal (vote)
Target Milestone: ---
Assignee: Sebastian Sauer
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2010-06-17 13:51 UTC by Lassi Nieminen
Modified: 2011-08-24 07:34 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
MS Powerpoint 2003 document to be open in Kpresenter (15.50 KB, application/vnd.ms-powerpoint)
2010-06-17 13:51 UTC, Lassi Nieminen
Details
Screenshot of the document in MS Powerpoint (2.25 MB, image/bmp)
2010-06-17 13:53 UTC, Lassi Nieminen
Details
Screenshot of the document in Kpresenter (63.09 KB, image/pjpeg)
2010-06-17 13:54 UTC, Lassi Nieminen
Details
Current screen-shot in stage. (216.05 KB, image/png)
2011-08-23 12:12 UTC, Matus Uzak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-07-12 18:00:14 UTC


---- Reported by lassi.ta.nieminen@nokia.com 2010-06-17 14:51:23 +0300 ----

Created an attachment
MS Powerpoint 2003 document to be open in Kpresenter

SOFTWARE VERSION:
  Kubuntu 9.10
  Koffice (svn version 1137745)
  Test document (MSOffice 2003): mp03_table_with_numbered_bulleting.ppt

STEPS LEADING TO THE PROBLEM:
  1. Open the attached document in MSOffice.
  2. Open the same document in KOffice.
  3. Observe the text in the table.

EXPECTED OUTCOME:
   Kpresenter should be able to the display the content in the cells properly.

ACTUAL OUTCOME:
   Kpresenter is displaying the more space in the cells which is not there in 
   the original table. 

FREQUENCY:
  Always



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-06-17 14:53:17 +0300 ----

Created an attachment
Screenshot of the document in MS Powerpoint



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-06-17 14:54:35 +0300 ----

Created an attachment
Screenshot of the document in Kpresenter



--- Bug imported by faure@kde.org 2010-07-12 18:00  ---

This bug was previously known as _bug_ 175405.

Imported an attachment (id=49042)
Imported an attachment (id=49043)
Imported an attachment (id=49044)

Unknown bug field "#PCDATA" encountered while moving bug
   <#PCDATA></#PCDATA>
CC member anastasios.katopodis@noname.com does not have an account here

Comment 1 swathi 2011-04-12 09:06:41 UTC
Issue is not observed in "text-layoutrestructure-boemann" branch.
Comment 2 Matus Uzak 2011-08-02 08:58:37 UTC
Git commit 19940314a75bcc38df37e743d84ee847da51dd5a by Matus Uzak.
Committed on 02/08/2011 at 10:53.
Pushed by uzak into branch 'master'.

PPT: Updated inheritance of text/paragraph properties.

* A common shape (opposite of a placeholder) SHOULD contain text of type Tx_TYPE_OTHER,
  but MS Office 2003 does not follow this rule.

CCBUG:244403

M  +3    -0    filters/kpresenter/powerpoint/pptstyle.h
M  +6    -3    filters/kpresenter/powerpoint/PptToOdp.cpp

http://commits.kde.org/calligra/19940314a75bcc38df37e743d84ee847da51dd5a
Comment 3 Matus Uzak 2011-08-02 11:29:54 UTC
Filter is fine, the layout of lists is not correct again.
Both text:min-label-width and text:space-before attributes of the <style:list-level-properties> element have proper values.
Comment 4 Sebastian Sauer 2011-08-03 12:04:00 UTC
Fixed with 94a57e0d591e396413fe6ce44d577e3780a18f7d
Comment 5 swathi 2011-08-23 11:11:10 UTC
Verified in bf7bf12d4548e039e80e0dc863d3f4039745f8bd.
Comment 6 Matus Uzak 2011-08-23 12:12:52 UTC
Created attachment 63072 [details]
Current screen-shot in stage.

Current screen-shot in stage displaying the list-items positioning issues.
Font-size and paragraph margins were fixed, which was the reported issue.  Please report the positioning issues as a separate bug.
Comment 7 swathi 2011-08-24 07:34:52 UTC
(In reply to comment #6)
> Created an attachment (id=63072) [details]
> Current screen-shot in stage.
> 
> Current screen-shot in stage displaying the list-items positioning issues.
> Font-size and paragraph margins were fixed, which was the reported issue. 
> Please report the positioning issues as a separate bug.

Bug 280687 has been raised for positioning issue.